*{
    margin:0; 
    padding: 0; 
    box-sizing: border-box; 
    font-family: "Roboto", serif;
}

h1{
    text-align: center;
    font-family: "Aladin", system-ui;
    font-size: 1.8rem;
    color: #8d0801
}

input[type="radio"] {
    accent-color: #8d0801; 
}

.level-section{
    display: flex;
    justify-content: center;
    width: 100%;
}

.level1, .level2, .level3,.level4{
  width: 14%;
  font-size: 1rem;
}

fieldset{
   border: none;
}

.subjects h3{
  text-align: center;
  color: #8d0801;
  font-size: 1rem;
}

.subjects {
  display: none;
  margin-top: 15px;
}

input[type="number"] {
  font-size: 0.85rem;
  width: 3rem;
}

table{
  border-collapse: collapse;
  width: 53%;
  margin: 0 auto;
}

th, td {
  border: 2px solid #8d0801;
  padding: 2px;
  text-align: center;
  font-size: 0.9rem;
}

td{
  font-size: 0.85rem;
}

th {
    background-color: #e0e0e0;
}

.calshow{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

button {
  margin-top: 10px;
  padding: 7px 10px;
  background-color: #8d0801;
  color: white;
  border: none;
  cursor: pointer;
  border-radius: 20px;
  font-size: 0.7rem;
  font-weight: bold;
  color: #ffea00;
}

button:hover {
  background-color: #0056b3;
}

#result{
  font-weight: bold;
  margin-left: 20px;
  padding: 4px;
  font-size: 0.75rem;
  color: #8d0801;
  font-weight: bold;
}



/*******************Responsive (large (1200px)*******************/
@media (min-width:993px) and (max-width: 1200px) {
}

/******************* Responsive (Tablets) *******************/
@media (min-width:769px) and (max-width: 992px) {

}

/******************* Responsive (Mobile) *******************/
@media (min-width: 576px) and (max-width: 768px) {
h1 { font-size: 1.4rem; }
  .level-section{ width: 100%; flex-wrap: wrap; }
  .level1,.level2,.level3,.level4{ display: flex; width: 46%; padding:3px 15px; font-size: 0.85rem; border: 0.5px dashed red;}
  input[type="number"]{ font-size: 0.85rem; width: 3.5rem; }
  table{width: 98%; }
  td{font-size: 0.75rem; }
  button{ border-radius: 10px; font-size: 0.8rem; }
}

/******************* Responsive (Mobile Extra small) *******************/
@media (min-width: 319px) and (max-width: 576px) {
  h1 { font-size: 1.4rem; }
  .level-section{ width: 100%; flex-wrap: wrap; }
  .level1,.level2,.level3,.level4{ display: flex; width: 46%; padding:3px 15px; font-size: 0.85rem; border: 0.5px dashed red;}
  input[type="number"]{ font-size: 0.85rem; width: 3.5rem; }
  table{width: 98%; }
  td{font-size: 0.75rem; }
  button{ border-radius: 10px; font-size: 0.8rem; }
}

